module SuiteSparse32_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libamd
const libamd_path = "/usr/lib/libamd.so.3"
libamd_handle = C_NULL
get_libamd_path() = libamd_path
const libamd = "libamd.so.3"
export libbtf
const libbtf_path = "/usr/lib/libbtf.so.2"
libbtf_handle = C_NULL
get_libbtf_path() = libbtf_path
const libbtf = "libbtf.so.2"
export libcamd
const libcamd_path = "/usr/lib/libcamd.so.3"
libcamd_handle = C_NULL
get_libcamd_path() = libcamd_path
const libcamd = "libcamd.so.3"
export libccolamd
const libccolamd_path = "/usr/lib/libccolamd.so.3"
libccolamd_handle = C_NULL
get_libccolamd_path() = libccolamd_path
const libccolamd = "libccolamd.so.3"
export libcholmod
const libcholmod_path = "/usr/lib/libcholmod.so.5"
libcholmod_handle = C_NULL
get_libcholmod_path() = libcholmod_path
const libcholmod = "libcholmod.so.5"
export libcolamd
const libcolamd_path = "/usr/lib/libcolamd.so.3"
libcolamd_handle = C_NULL
get_libcolamd_path() = libcolamd_path
const libcolamd = "libcolamd.so.3"
export libklu
const libklu_path = "/usr/lib/libklu.so.2"
libklu_handle = C_NULL
get_libklu_path() = libklu_path
const libklu = "libklu.so.2"
export libldl
const libldl_path = "/usr/lib/libldl.so.3"
libldl_handle = C_NULL
get_libldl_path() = libldl_path
const libldl = "libldl.so.3"
export librbio
const librbio_path = "/usr/lib/librbio.so.4"
librbio_handle = C_NULL
get_librbio_path() = librbio_path
const librbio = "librbio.so.4"
export libspqr
const libspqr_path = "/usr/lib/libspqr.so.4"
libspqr_handle = C_NULL
get_libspqr_path() = libspqr_path
const libspqr = "libspqr.so.4"
export libsuitesparseconfig
const libsuitesparseconfig_path = "/usr/lib/libsuitesparseconfig.so.7"
libsuitesparseconfig_handle = C_NULL
get_libsuitesparseconfig_path() = libsuitesparseconfig_path
const libsuitesparseconfig = "libsuitesparseconfig.so.7"
export libumfpack
const libumfpack_path = "/usr/lib/libumfpack.so.6"
libumfpack_handle = C_NULL
get_libumfpack_path() = libumfpack_path
const libumfpack = "libumfpack.so.6"
function __init__()
    global libamd_handle = dlopen(libamd_path)
    global libbtf_handle = dlopen(libbtf_path)
    global libcamd_handle = dlopen(libcamd_path)
    global libccolamd_handle = dlopen(libccolamd_path)
    global libcholmod_handle = dlopen(libcholmod_path)
    global libcolamd_handle = dlopen(libcolamd_path)
    global libklu_handle = dlopen(libklu_path)
    global libldl_handle = dlopen(libldl_path)
    global librbio_handle = dlopen(librbio_path)
    global libspqr_handle = dlopen(libspqr_path)
    global libsuitesparseconfig_handle = dlopen(libsuitesparseconfig_path)
    global libumfpack_handle = dlopen(libumfpack_path)
end
end
